<!--#include file="../inc/Secure.htm"-->
<!--#include file="../inc/conn.htm"-->
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../css/main.css">
</HEAD>

<BODY BGCOLOR="#FFFFFF">
<fieldset title="查看他人文件">
<legend align=center><font color=red class="pt11"><b>他人共享文件</b></font></legend> 
<div style="word-break:break-all;font-size:12px;line-height:16px;padding:10px;">
&nbsp;&nbsp;请选择您要查看的共享用户：<BR><BR>
<%
LoginID=Session("LoginID")
if LoginID="" then response.end

set rs=server.createobject("adodb.recordset")
sql="select ID,LoginName,Name from tblUser where ID<>"& LoginID &" order by Name"

rs.open sql,oConn,1,1
totalmessage=rs.recordcount
if totalmessage<>0 then
	arrIDs=rs.getrows(totalmessage)
end if

rs.close
set rs=nothing

if not isempty(arrIDs) then
%>

<div align=center>
<table width="95%" border=0 cellspacing=0 cellpadding=5>
<%for i=0 to ubound(arrIDs,2) step 4
%>
<tr bgcolor=#ffffff>
<%if i<=uBound(arrIDs,2) then%>
	<td width=80>
	<a href="FileManager.htm?RootDir=../FileDir/<%=arrIDs(0,i)%>_Share">
	<%=trim(arrIDs(2,i))%></a>
	</td>
<%end if%>
<%if i+1<=uBound(arrIDs,2) then%>
	<td width=80>
	<a href="FileManager.htm?RootDir=../FileDir/<%=arrIDs(0,i+1)%>_Share">
	<%=trim(arrIDs(2,i+1))%></a>
	</td>
<%end if%>
<%if i+2<=uBound(arrIDs,2) then%>
	<td width=80>
	<a href="FileManager.htm?RootDir=../FileDir/<%=arrIDs(0,i+2)%>_Share">
	<%=trim(arrIDs(2,i+2))%></a>
	</td>
<%end if%>
<%if i+3<=uBound(arrIDs,2) then%>
	<td width=80>
	<a href="FileManager.htm?RootDir=../FileDir/<%=arrIDs(0,i+3)%>_Share">
	<%=trim(arrIDs(2,i+3))%></a>
	</td>
<%end if%>
</tr>
<%next%>
</table>
<%else
response.write "<p><font color=red>对不起，没有对您授权的人员！</font></p>"
end if

%>

</div>

</div></fieldset> 

</BODY>
</HTML>
<!--#include file="../inc/conn_close.htm"-->
<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function
%>